#ifndef LOGGER_H
#define LOGGER_H


class CLogItem {
	FILETIME m_Time;
	LPTSTR m_pszText;
public:
	CLogItem(LPCTSTR pszText);
	~CLogItem();
	LPCTSTR GetText() const { return m_pszText; }
	void GetTime(SYSTEMTIME *pTime) const;
};

class CLogger {
	int m_NumLogItems;
	CLogItem **m_ppList;
	int m_ListLength;
	static CLogger *GetThis(HWND hDlg);
public:
	CLogger();
	~CLogger();
	bool AddLog(LPCTSTR pszText, ...);
	void Clear();
	static BOOL CALLBACK DlgProc(HWND hDlg,UINT uMsg,WPARAM wParam,LPARAM lParam);
};


#endif
